Get auto top-off settings
GET
/api/v1/credits/auto-topoff
Authentication
Bearer Token API Key (cookie: better-auth.session_token)
Responses
200
Auto top-off config
application/jsonenabled
boolean
REQUIRED
packId
string
REQUIRED
Enum:
5, 20, 50, 100
401
Unauthorized
curl -X GET 'https://littledemo.com/api/v1/credits/auto-topoff' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://littledemo.com/api/v1/credits/auto-topoff', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://littledemo.com/api/v1/credits/auto-topoff', headers=headers)print(response.json())
200
Response
{ "enabled": true, "packId": "5"}
API Playground
Try this endpoint
GET
/api/v1/credits/auto-topoff